module.exports = {
  create: {
    requestBody: [
      "!name",
      "!login_id",
      "role",
      "!password",
      "status",
      "params",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!name",
      "!login_id",
      "role",
      "!password",
      "status",
      "params",
      "_tenant",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        tenant: "_tenant",
        name: "name",
        login_id: "login_id",
        role: "role",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["sort"],
      desc: true,
      count: true,
    },
  },
};
