'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  const prefix = '/api/role/auth';
  // 工具
  router.get(`${prefix}/model/:model`, controller.util.findModel);
  router.post(`${prefix}/util`, controller.util.utilMethod);
  // menu
  require('./router/menu')(app);
  // user
  require('./router/user')(app);
  require('./router/login')(app);
  router.get('role', `${prefix}/role/menu/tree`, controller.role.roleMenuTree); // index、create、show、destroy
  router.resources('role', `${prefix}/role`, controller.role); // index、create、show、destroy
  router.post('role', `${prefix}/role/update/:id`, controller.role.update);
  router.get('usermenu', `${prefix}/usermenu/menu`, controller.userMenu.getUserMenu);
  router.resources('usermenu', `${prefix}/usermenu`, controller.userMenu); // index、create、show、destroy
  router.post('usermenu', `${prefix}/usermenu/update/:id`, controller.userMenu.update);


};
