'use strict';

const assert = require('assert');
const _ = require('lodash');
const moment = require('moment');
const { ObjectId } = require('mongoose').Types;
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;

class UserService extends CrudService {
  constructor(ctx) {
    super(ctx, 'user');
    this.model = this.ctx.model.User;
  }
  async create(data) {
    const { password } = data;
    data.password = { secret: password };
    const res = await this.model.create(data);
    return res;
  }

  async update(data) {
    const { id, password } = data;
    if (password) data.password = { secret: password };
    const res = await this.model.update({ _id: ObjectId(id) }, data);
    return res;
  }
}

module.exports = UserService;
