/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
const { jwt } = require('./config.secret');
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1604310853516_4870';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 4000,
    },
  };
  // mq配置
  config.amqp = {
    client: {
      hostname: '127.0.0.1',
      username: 'visit',
      password: 'visit',
      vhost: 'train',
    },
    app: true,
    agent: true,
  };

  // redis config
  config.redis = {
    client: {
      port: 6379, // Redis port
      host: '127.0.0.1', // Redis host
      password: '',
      db: 0,
    },
  };

  // mongoose config
  config.mongoose = {
    url: 'mongodb://127.0.0.1:27017/auth',
    options: {
      // user: 'admin',
      // pass: 'admin',
      // authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
    },
  };

  config.project = {
    center: 'http://127.0.0.1:2001',
  };

  // 安全配置
  config.security = {
    csrf: {
      // ignoreJSON: true, // 默认为 false，当设置为 true 时，将会放过所有 content-type 为 `application/json` 的请求
      enable: false,
    },
  };

  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'servicezhwl',
  };

  return {
    ...config,
    ...userConfig,
  };
};
